<?php
/**
 * (C) 2025 Motive Commerce Search Corp S.L. <info@motive.co>
 *
 * This file is part of Motive Commerce Search.
 *
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * @author Motive (motive.co)
 * @copyright (C) 2025 Motive Commerce Search Corp S.L. <info@motive.co>
 * @license https://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
 */

namespace Motive\Prestashop\Builder\Price;

use Motive\Prestashop\Model\Price;
use Motive\Prestashop\Model\XResultPrice;

if (!defined('_PS_VERSION_')) {
    exit;
}

class LegacyPriceBuilder extends BasePriceBuilder
{
    protected function compute($productRow, $idProductAttribute = null)
    {
        $idProduct = $productRow['p_id'];
        $regular = \Product::getPriceStatic($idProduct, $this->useTax, $idProductAttribute, $this->decimals, null, false, false);
        $on_sale = !$regular ? $regular : \Product::getPriceStatic($idProduct, $this->useTax, $idProductAttribute, $this->decimals);

        return Price::build($regular, $on_sale);
    }

    public function computeResult($productRow, $idProductAttribute = null)
    {
        $idProduct = $productRow['p_id'];
        $regular = \Product::getPriceStatic($idProduct, $this->useTax, $idProductAttribute, $this->decimals, null, false, false);
        $on_sale = !$regular ? $regular : \Product::getPriceStatic($idProduct, $this->useTax, $idProductAttribute, $this->decimals);
        $taxAlternativePrice = \Product::getPriceStatic($idProduct, !$this->useTax, $idProductAttribute, $this->decimals);

        return XResultPrice::build($regular, $on_sale, $this->useTax, $taxAlternativePrice);
    }
}
